- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions

# QXmlContentHandler Class Reference

Search for all occurrences

## Detailed Description

Definition at line 301 of file qxml.h.

`#include <qxml.h>`

Inheritance diagram for QXmlContentHandler:
[legend]

List of all members.

## Public Member Functions
virtual | ~QXmlContentHandler ()
virtual void | setDocumentLocator (QXmlLocator *locator)=0
virtual bool | startDocument ()=0
virtual bool | endDocument ()=0
virtual bool | startPrefixMapping (const QString &prefix, const QString &uri)=0
virtual bool | endPrefixMapping (const QString &prefix)=0
virtual bool | startElement (const QString &namespaceURI, const QString &localName, const QString &qName, const QXmlAttributes &atts)=0
virtual bool | endElement (const QString &namespaceURI, const QString &localName, const QString &qName)=0
virtual bool | characters (const QString &ch)=0
virtual bool | ignorableWhitespace (const QString &ch)=0
virtual bool | processingInstruction (const QString &target, const QString &data)=0
virtual bool | skippedEntity (const QString &name)=0
virtual QString | errorString () const =0

## Constructor & Destructor Documentation

virtual ~QXmlContentHandler | ( |  | ) | `[inline, virtual]`

Definition at line 304 of file qxml.h.

    {}

## Member Function Documentation

virtual void setDocumentLocator | ( | QXmlLocator * | locator | ) | `[pure virtual]`

Search for all occurrences

Implemented in QXmlDefaultHandler.

virtual bool startDocument | ( |  | ) | `[pure virtual]`

Search for all occurrences

Implemented in QXmlDefaultHandler.

virtual bool endDocument | ( |  | ) | `[pure virtual]`

Search for all occurrences

Implemented in QXmlDefaultHandler.

virtual bool startPrefixMapping | ( | const QString & | prefix,
|  | const QString & | uri
| ) |  | `[pure virtual]`

Search for all occurrences

Implemented in QXmlDefaultHandler.

virtual bool endPrefixMapping | ( | const QString & | prefix | ) | `[pure virtual]`

Search for all occurrences

Implemented in QXmlDefaultHandler.

virtual bool startElement | ( | const QString & | namespaceURI,
|  | const QString & | localName,
|  | const QString & | qName,
|  | const QXmlAttributes & | atts
| ) |  | `[pure virtual]`

Search for all occurrences

Implemented in QXmlDefaultHandler.

virtual bool endElement | ( | const QString & | namespaceURI,
|  | const QString & | localName,
|  | const QString & | qName
| ) |  | `[pure virtual]`

Search for all occurrences

Implemented in QXmlDefaultHandler.

virtual bool characters | ( | const QString & | ch | ) | `[pure virtual]`

Search for all occurrences

Implemented in QXmlDefaultHandler.

virtual bool ignorableWhitespace | ( | const QString & | ch | ) | `[pure virtual]`

Search for all occurrences

Implemented in QXmlDefaultHandler.

virtual bool processingInstruction | ( | const QString & | target,
|  | const QString & | data
| ) |  | `[pure virtual]`

Search for all occurrences

Implemented in QXmlDefaultHandler.

virtual bool skippedEntity | ( | const QString & | name | ) | `[pure virtual]`

Search for all occurrences

Implemented in QXmlDefaultHandler.

virtual QString errorString | ( |  | ) | const `[pure virtual]`

Search for all occurrences

Implemented in QXmlDefaultHandler.

The documentation for this class was generated from the following file:

- QtXml/qxml.h

QXmlContentHandler QXmlContentHandler QXmlContentHandler QXmlContentHandler QXmlContentHandler QXmlContentHandler QXmlContentHandler QXmlContentHandler QXmlContentHandler QXmlContentHandler
QXmlContentHandler QXmlContentHandler QXmlContentHandler QXmlContentHandler QXmlContentHandler QXmlContentHandler QXmlContentHandler QXmlContentHandler QXmlContentHandler QXmlContentHandler